aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Denys Vlasenko <vda.linux@googlemail.com>2009-10-08 14:35:37 +0200
committerGravatar Denys Vlasenko <vda.linux@googlemail.com>2009-10-08 14:35:37 +0200
commitadf922ec2800d53f5eedd469cf99c55946caeb43 (patch)
treed6b51f80928fdbf1892c3d4dbaae72fb288b88b9 /scripts
parenta7bb3c1396056248a71ea188f217de3f4876947e (diff)
downloadbusybox-adf922ec2800d53f5eedd469cf99c55946caeb43.tar.gz
busybox-adf922ec2800d53f5eedd469cf99c55946caeb43.tar.bz2
*: a few more NOINLINEs
function old new delta print_linkinfo - 815 +815 do_msg - 783 +783 INET_setroute - 757 +757 varvalue - 746 +746 do_sem - 637 +637 inflate_codes - 617 +617 INET6_setroute - 491 +491 edir - 370 +370 sync_cursor - 298 +298 update_utmp - 246 +246 searchLines - 165 +165 setup_alarm - 144 +144 may_wakeup - 101 +101 getNum 566 371 -195 refresh 1166 848 -318 rtcwake_main 809 479 -330 getty_main 2396 1921 -475 chpst_main 1373 746 -627 inflate_unzip_internal 1335 567 -768 evalvar 1384 612 -772 ipaddr_list_or_flush 2160 1246 -914 route_main 1585 245 -1340 ipcs_main 2523 1049 -1474 ------------------------------------------------------------------------------ (add/remove: 13/0 grow/shrink: 0/10 up/down: 6170/-7213) Total: -1043 bytes Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/mkdiff_obj39
-rwxr-xr-xscripts/mkdiff_obj_bloat33
2 files changed, 72 insertions, 0 deletions
diff --git a/scripts/mkdiff_obj b/scripts/mkdiff_obj
new file mode 100755
index 000000000..a6ec5e602
--- /dev/null
+++ b/scripts/mkdiff_obj
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+filter() {
+ # sed removes " address: " prefixes which mess up diff
+ sed $'s/^\\(\t*\\)[ ]*[0-9a-f][0-9a-f]*:[ \t]*/\\1/' \
+ | sed 's/__GI_//g'
+}
+
+test -d "$1" || exit 1
+test -d "$2" || exit 1
+
+{
+ (
+ cd "$1" || exit 1
+ find -name '*.o' -o -name '*.os' # -o -name '*.so'
+ )
+ (
+ cd "$2" || exit 1
+ find -name '*.o' -o -name '*.os' # -o -name '*.so'
+ )
+} | sed 's:^\./::' | sort | uniq | \
+tee LST | \
+(
+IFS=''
+while read -r oname; do
+ if ! test -f "$1/$oname"; then
+ echo "Only $2/$oname"
+ continue
+ fi
+ if ! test -f "$2/$oname"; then
+ echo "Only $1/$oname"
+ continue
+ fi
+ diff -q -- "$1/$oname" "$2/$oname" >/dev/null && continue
+ (cd "$1"; objdump -dr "$oname" | filter >"$oname.disasm")
+ (cd "$2"; objdump -dr "$oname" | filter >"$oname.disasm")
+ diff -u "$1/$oname.disasm" "$2/$oname.disasm"
+done
+)
diff --git a/scripts/mkdiff_obj_bloat b/scripts/mkdiff_obj_bloat
new file mode 100755
index 000000000..63b2c2ee1
--- /dev/null
+++ b/scripts/mkdiff_obj_bloat
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+test -d "$1" || exit 1
+test -d "$2" || exit 1
+
+{
+ (
+ cd "$1" || exit 1
+ find -name '*.o' -o -name '*.os' # -o -name '*.so'
+ )
+ (
+ cd "$2" || exit 1
+ find -name '*.o' -o -name '*.os' # -o -name '*.so'
+ )
+} | sed 's:^\./::' | sort | uniq | \
+tee LST | \
+(
+IFS=''
+while read -r oname; do
+ if ! test -f "$1/$oname"; then
+ echo "Only $2/$oname"
+ continue
+ fi
+ if ! test -f "$2/$oname"; then
+ echo "Only $1/$oname"
+ continue
+ fi
+ $1/scripts/bloat-o-meter $1/$oname $2/$oname | grep 'otal: 0 byte' >/dev/null && continue
+ $1/scripts/bloat-o-meter $1/$oname $2/$oname
+ size $1/$oname $2/$oname
+ echo
+done
+)